Index: code/branches/hoverHS15/src/modules/hover/HoverShip.cc
===================================================================
--- code/branches/hoverHS15/src/modules/hover/HoverShip.cc	(revision 10660)
+++ code/branches/hoverHS15/src/modules/hover/HoverShip.cc	(revision 10661)
@@ -42,115 +42,14 @@
     {
         RegisterObject(HoverShip);
-
-        speed = 830;
-        isFireing = false;
-        damping = 10;
-
-        // not sure if has to be zero?
-        lastTimeFront = 0;
-        lastTimeLeft = 0;
-        lastTime = 0;
     }
 
     void HoverShip::tick(float dt)
     {
-        Vector3 pos = getPosition();
-
-        //Movement calculation
-        lastTimeFront += dt * damping;
-        lastTimeLeft += dt * damping;
-        lastTime += dt;
-
-        velocity.x = interpolate(clamp(lastTimeLeft, 0.0f, 1.0f), desiredVelocity.x, 0.0f);
-        velocity.y = interpolate(clamp(lastTimeFront, 0.0f, 1.0f), desiredVelocity.y, 0.0f);
-
-        //Execute movement
-        if (this->hasLocalController())
-        {
-            float dist_y = velocity.y * dt;
-            //float dist_x = velocity.x * dt;
-            if(dist_y + posforeward > -42*3 && dist_y + posforeward < 42*6)
-                posforeward += dist_y;
-            else
-            {
-                velocity.y = 0;
-                // restart if game ended
-/*
-                if (getGame())
-                    if (getGame()->bEndGame)
-                    {
-                        getGame()->start();
-                        return;
-                    }*/
-            }
-
-            pos += Vector3(1000 + velocity.y, 0, velocity.x) * dt;
-        }
-
-
-        // Camera
-        Camera* camera = this->getCamera();
-        if (camera != NULL)
-        {
-            // camera->setPosition(Vector3(-pos.z, -posforeward, 0));
-            camera->setOrientation(Vector3::UNIT_Z, Degree(0));
-        }
-
-
-
-        // bring back on track!
-        if(pos.y != 0)
-        {
-            pos.y = 0;
-        }
-
-        setPosition(pos);
-        setOrientation(Vector3::UNIT_Y, Degree(270));
-
-        // Level up!
-        if (pos.x > 42000)
-        {
-            updateLevel();
-            setPosition(Vector3(0, 0, pos.z)); // pos - Vector3(30000, 0, 0)
-        }
-
         SUPER(HoverShip, tick, dt);
-    }
-
-    void HoverShip::updateLevel()
-    {
-        lastTime = 0;
-        if (getGame())
-            getGame()->levelUp();
-    }
-
-    void HoverShip::moveFrontBack(const Vector2& value)
-    {
-        //lastTimeFront = 0;
-        //desiredVelocity.y = value.y * speed * 42;
-
-    }
-
-    void HoverShip::moveRightLeft(const Vector2& value)
-    {
-        lastTimeLeft = 0;
-        desiredVelocity.x = value.x * speed;
-    }
-    void HoverShip::boost(bool bBoost)
-    {
-        //getGame()->bEndGame = bBoost;
-    }
-
-    inline bool HoverShip::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
-    {
-
-        removeHealth(100);
-        this->death();
-        return false;
     }
 
     Hover* HoverShip::getGame()
     {
-        if (game == NULL)
+        /*if (game == NULL)
         {
             for (ObjectList<Hover>::iterator it = ObjectList<Hover>::begin(); it != ObjectList<Hover>::end(); ++it)
@@ -159,11 +58,5 @@
             }
         }
-        return game;
-    }
-
-    void HoverShip::death()
-    {
-        getGame()->costLife();
-        SpaceShip::death();
+        return game;*/
     }
 }
Index: code/branches/hoverHS15/src/modules/hover/HoverShip.h
===================================================================
--- code/branches/hoverHS15/src/modules/hover/HoverShip.h	(revision 10660)
+++ code/branches/hoverHS15/src/modules/hover/HoverShip.h	(revision 10661)
@@ -43,49 +43,13 @@
 
 #include "Hover.h" // Is necessary for getGame function
-//#include "DodgeRaceCenterPoint.h"
 
 namespace orxonox
 {
-    class _DodgeRaceExport DodgeRaceShip : public SpaceShip
+    class _HoverExport HoverShip : public SpaceShip
     {
         public:
-            DodgeRaceShip(Context* context);
+            HoverShip(Context* context);
 
             virtual void tick(float dt);
-
-            // overwrite for 2d movement
-            virtual void moveFrontBack(const Vector2& value);
-            virtual void moveRightLeft(const Vector2& value);
-
-            // Starts or stops fireing
-            virtual void boost(bool bBoost);
-
-            //no rotation!
-            virtual void rotateYaw(const Vector2& value){};
-            virtual void rotatePitch(const Vector2& value){};
-
-            //return to main menu if game has ended.
-            virtual void rotateRoll(const Vector2& value){if (getGame()) if (getGame()->bEndGame) getGame()->end();};
-
-            virtual void updateLevel();
-
-            float speed, damping, posforeward;
-            bool isFireing;
-
-        protected:
-            virtual void death();
-
-        private:
-            virtual inline bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
-            DodgeRace* getGame();
-            WeakPtr<DodgeRace> game;
-            WeakPtr<WorldEntity> lastEntity;
-            Camera* camera;
-            float lastTimeFront, lastTimeLeft, lastTime;
-            struct Velocity
-            {
-                float x;
-                float y;
-            } velocity, desiredVelocity;
 
     };
